<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="it.integry.integrywmsnative.core.utility.UtilityString" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityNumber" />

        <import type="it.integry.integrywmsnative.core.utility.UtilityBigDecimal" />

        <import type="android.view.View" />

        <variable
            name="viewmodel"
            type="it.integry.integrywmsnative.gest.prod_fabbisogno_linee_prod.dialog_ask_mag_prossimita.DialogAskMagazzinoProssimitaViewModel" />

        <variable
            name="view"
            type="it.integry.integrywmsnative.gest.prod_fabbisogno_linee_prod.dialog_ask_mag_prossimita.DialogAskMagazzinoProssimitaView" />
    </data>

    <androidx.cardview.widget.CardView
        android:orientation="vertical" android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center_horizontal"
        app:cardCornerRadius="12dp"
        app:cardElevation="0dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/light_blue_300"
                android:gravity="center_horizontal">

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:src="@drawable/ic_error_white_24dp"
                    android:layout_margin="24dp"/>

            </RelativeLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:paddingTop="24dp"
                android:paddingLeft="24dp"
                android:paddingRight="24dp">

                <TextView
                    android:id="@+id/title_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    style="@style/TextViewMaterial.Dialog.HeadlineText"
                    android:text="@string/production_line"
                    android:gravity="center_horizontal"/>


                <LinearLayout
                    android:layout_marginTop="16dp"
                    android:orientation="vertical"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

<!--                    <com.google.android.material.textfield.TextInputLayout-->
<!--                        android:id="@+id/input_linea_prod"-->
<!--                        style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.Dense.ExposedDropdownMenu"-->
<!--                        android:layout_width="match_parent"-->
<!--                        android:layout_height="wrap_content"-->
<!--                        android:hint="@string/production_line">-->

<!--                        <androidx.appcompat.widget.AppCompatAutoCompleteTextView-->
<!--                            android:id="@+id/dropdown_linea_prod"-->
<!--                            android:layout_width="match_parent"-->
<!--                            android:layout_height="wrap_content"-->
<!--                            android:singleLine="true"-->
<!--                            android:ellipsize="end"/>-->

<!--                    </com.google.android.material.textfield.TextInputLayout>-->


                    <androidx.appcompat.widget.LinearLayoutCompat
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        android:weightSum="2"
                        android:layout_marginTop="8dp">



                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/input_start_date"
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="@string/start_date"
                            android:layout_weight="1"
                            android:paddingEnd="4dp">


                            <com.google.android.material.textfield.TextInputEditText
                                android:id="@+id/filled_exposed_dropdown_start_date"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="textNoSuggestions"
                                android:focusable="false"
                                android:singleLine="true"
                                app:binding="@{viewmodel.startDateBindable}"/>

                        </com.google.android.material.textfield.TextInputLayout>



                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/input_end_date"
                            style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:hint="@string/end_date"
                            android:layout_weight="1"
                            android:paddingStart="4dp">


                            <com.google.android.material.textfield.TextInputEditText
                                android:id="@+id/filled_exposed_dropdown_end_date"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="textNoSuggestions"
                                android:focusable="false"
                                android:singleLine="true"
                                app:binding="@{viewmodel.endDateBindable}"/>

                        </com.google.android.material.textfield.TextInputLayout>

                    </androidx.appcompat.widget.LinearLayoutCompat>



                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:orientation="horizontal"
                        android:paddingTop="8dp"
                        android:paddingBottom="8dp"
                        android:gravity="bottom|center_horizontal">


                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_abort"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            style="@style/Button.PrimaryOutline"
                            app:icon="@drawable/ic_clear_24dp"
                            app:strokeColor="@color/colorPrimary"
                            android:layout_marginEnd="8dp"
                            android:text="@string/abort"/>


                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_confirm"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            style="@style/Button.PrimaryFull"
                            app:icon="@drawable/ic_save_24dp"
                            android:text="@string/confirm"/>
                    </LinearLayout>

                </LinearLayout>

            </LinearLayout>


        </LinearLayout>


    </androidx.cardview.widget.CardView>

</layout>